Bug 193531 - Review Request: kicad - Electronic schematic diagrams and printed circuit board artwork
Review Request: kicad - Electronic schematic diagrams and printed circuit boa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
: Reopened
Depends On: 197501
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-30 02:57 EDT by Alain Portal
Modified: 2008-11-14 00:49 EST (History)
4 users (show)

See Also:
Fixed In Version: kicad-2006.06.26-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 03:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
build.log (542.12 KB, text/plain)
2006-07-02 18:19 EDT, Chitlesh GOORAH
no flags Details

  None (edit)
Description Alain Portal 2006-05-30 02:57:28 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/4/SPECS/kicad.spec
SRPM URL: http://linuxelectronique.free.fr/download/fedora/4/SRPMS/kicad-2006-04-24-0-3.src.rpm
Description:

Kicad is an open source (GPL) software for the creation of electronic schematic
diagrams and printed circuit board artwork up to 16 layers.
Kicad is a set of four softwares and a project manager:
- Eeschema: schematic entry
- Pcbnew: board editor
- Gerbview: GERBER viewer (photoplotter documents)
- Cvpcb: footprint selector for components used in the circuit design
- Kicad: project manager
Comment 1 Chitlesh GOORAH 2006-06-14 00:17:14 EDT
------- Additional Comments From cgoorah AT yahoo com au  2006-06-12 15:01 EST
-------
Hello,

This is not a real official review, just a review from an intern packager. :)

# 1 The rpmlint _does_ return warning/errors:

chitlesh(i386)[0]$rpmlint -i kicad-2006-04-24-0-4.i386.rpm
W: kicad-2006-04-24 incoherent-version-in-changelog 2006-04-24-0-4 0-4
Your last entry in %changelog contains a version that is not coherent with
the current version of your package.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 file-not-utf8 /usr/share/doc/kicad/en/pcbnew/doc_pcbnew.zip
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/author.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/kicad/kicad.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/cvpcb/cvpcb-en.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/gpl.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/gpl.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/readme.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/readme.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/contrib.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/cvpcb/cvpcb.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/eeschema/eeschema.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/cvpcb/cvpcb-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/cvpcb/cvpcb-fr.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/eeschema/eeschema-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/eeschema/eeschema.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/version.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/pcbnew/pcbnew-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/kicad/kicad-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/doc_conv_orcad_to_kicad.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/licendoc.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/licendoc.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad/kicad-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/eeschema/Eeschema_Chapter1_ES.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/kicad/kicad.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/doc_conv_orcad_to_kicad_spanish.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/eeschema/eeschema.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/eeschema/eeschema-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/cvpcb/cvpcb-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/eeschema/eeschema.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad/kicad.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/cvpcb/cvpcb-en.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/copyright.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/copyright.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/file_formats/file_formats-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

# 2. it is advisable to

# 2.1 : name patches like
Patch0:         <NAME>-<VERSION>-<DESCRIPTION>.patch

# 2.2 : replace %{_datadir}/locale/* by  %find_lang %{name} and consequently
%files -f %{name}.lang too.

# 2.3 : add the following after %clean since you are using kicad.desktop
--------
%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
---------

# 3 : I am not sure whether you can use this type of %{name} along with its date

# 4 There is an incoherent-version-in-changelog which should be 0-4 instead of
2006-04-24-0-4
Comment 2 Chitlesh GOORAH 2006-06-14 00:18:55 EDT
------- Additional Comments From cgoorah AT yahoo com au  2006-06-12 15:15 EST
-------
> # 2.3 : add the following after %clean since you are using kicad.desktop
> --------
> %post
> touch --no-create %{_datadir}/icons/hicolor || :
>
> %postun
> touch --no-create %{_datadir}/icons/hicolor || :
> ---------
>

The following will be appropriate since in the kicad.desktop there is MimeType

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :

# 2:
%{_docdir} would be better than %{_datadir}/doc/
Comment 3 Chitlesh GOORAH 2006-06-14 00:19:56 EDT
------- Additional Comments From j.w.r.degoede  AT hhs nl  2006-06-13 02:47 EST
-------
(In reply to comment #3)
> The following will be appropriate since in the kicad.desktop there is MimeType
>
> %post
> update-desktop-database &> /dev/null ||:
> touch --no-create %{_datadir}/icons/hicolor || :
>
> %postun
> update-desktop-database &> /dev/null ||:
> touch --no-create %{_datadir}/icons/hicolor || :
>

Actually that should be:
%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

As per:
http://fedoraproject.org/wiki/ScriptletSnippets#head-fc74f078205565f961f6d836b77c3428619c689d
Comment 4 Chitlesh GOORAH 2006-06-14 00:20:48 EDT
------- Additional Comments From aportal AT univ-montp2 fr  2006-06-13 05:25 EST
-------
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL:
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.04.24-5.src.rpm

%changelog
* Tue Jun 13 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.04.24-5
 - Change name
 - Use %%{_docdir} instead of %%{_datadir}/doc
 - Use %%find_lang
 - Update desktop database
 - Convert MSDOS EOL to Unix EOL
 - Remove BR utrac
Comment 5 Chitlesh GOORAH 2006-06-28 07:05:07 EDT
This is not an official review:

- MUST: rpmlint gives warnings, which should be corrected.

chitlesh(i386)[0]$rpmlint -i kicad-2006-04-24-0-4.i386.rpm
W: kicad-2006-04-24 incoherent-version-in-changelog 2006-04-24-0-4 0-4
Your last entry in %changelog contains a version that is not coherent with
the current version of your package.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 file-not-utf8 /usr/share/doc/kicad/en/pcbnew/doc_pcbnew.zip
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/author.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/kicad/kicad.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/cvpcb/cvpcb-en.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/gpl.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/gpl.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/readme.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/readme.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/contrib.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/cvpcb/cvpcb.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/pcbnew/pcbnew.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/eeschema/eeschema.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/cvpcb/cvpcb-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/cvpcb/cvpcb-fr.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/eeschema/eeschema-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/eeschema/eeschema.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/version.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/pcbnew/pcbnew-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/kicad/kicad-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/contents.hhc
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/doc_conv_orcad_to_kicad.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/licendoc.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/licendoc.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad/kicad-pt.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/eeschema/Eeschema_Chapter1_ES.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/kicad/kicad.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/doc_conv_orcad_to_kicad_spanish.txt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/eeschema/eeschema.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/eeschema/eeschema-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/cvpcb/cvpcb-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/eeschema/eeschema.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/kicad/kicad.pdf
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/cvpcb/cvpcb-en.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/gerbview/gerbview.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/en/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/pt/file_formats/file_formats.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/fr/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

E: kicad-2006-04-24 script-without-shellbang
/usr/share/doc/kicad-2006-04-24-0/copyright.txt
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: kicad-2006-04-24 wrong-script-end-of-line-encoding
/usr/share/doc/kicad-2006-04-24-0/copyright.txt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/file_formats/file_formats-es.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: kicad-2006-04-24 wrong-file-end-of-line-encoding
/usr/share/doc/kicad/es/kicad.hhp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.


- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the format %{name}.spec
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is under the GPL license.
- MUST: The License field in the package spec file matches the actual license.
- MUST: The source package includes the text of the license(s) in its
own file
- MUST: The spec file is written in American English.
- MUST: The spec file for the package is legible.
- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.

The following URL is invalid.
Source1:	http://linuxelectronique.free.fr/download/kicad-src-extras.tar.bz2

- MUST: The package must successfully compile and build into binary rpms at
least on i386.
- MUST: All build dependencies are listed in BuildRequires
- MUST: The spec file handles locales properly. 
- MUST: A package owns all directories that it creates.
- MUST: A package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files has been set properly.
- MUST: Each package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

I will advise you to opt for %{name} instead of "kicad"

- MUST: The package contains code, or permissable content.
- MUST: No Large documentation files, hence no need for a -doc subpackage.
- MUST: The package includes %doc
- MUST: The Package containing GUI application includes a %{name}.desktop file.

- SHOULD: the source package includes license text(s) as a separate file from
upstream
- SHOULD: The description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
Comment 6 Hans de Goede 2006-06-28 07:10:31 EDT
Chitlesh, note you may do official reviews and approve if you want!
Comment 7 Alain Portal 2006-06-28 07:42:53 EDT
(In reply to comment #5)
> This is not an official review:
> 
> - MUST: rpmlint gives warnings, which should be corrected.
> 
> chitlesh(i386)[0]$rpmlint -i kicad-2006-04-24-0-4.i386.rpm

This isn't the good package!
Last release is 5.


> The following URL is invalid.
> Source1:        
http://linuxelectronique.free.fr/download/kicad-src-extras.tar.bz2

Fixed.
Comment 8 Chitlesh GOORAH 2006-06-28 07:50:33 EDT
(In reply to comment #7)
> > chitlesh(i386)[0]$rpmlint -i kicad-2006-04-24-0-4.i386.rpm
> 
> This isn't the good package!
> Last release is 5.
> 

pardon !

chitlesh(i386)[0]$rpmlint -i kicad-2006.04.24-5.i386.rpm
W: kicad file-not-utf8 /usr/share/doc/kicad/en/pcbnew/doc_pcbnew.zip
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).


file-not-utf8 Indicates that the text encoding of the specified file, usually a
documentation file, is not in UTF8.

    * Usually fixed by running iconv on the uncompressed file before
installation. See man page ICONV(1)

Comment 9 Alain Portal 2006-06-28 08:24:28 EDT
I don't think rpmlint complains about encoding of included files (HTML files 
are ASCII) but about the zip file.
So, this warning seems to me incoherent.
Comment 10 Chitlesh GOORAH 2006-06-28 09:11:27 EDT
you can just unzipped the zip file :) to the appropriate folder

and post your updated spec file and srpm for official review.
Comment 11 Alain Portal 2006-06-29 04:10:11 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.06.26-15.src.rpm

%changelog
* Wed Jun 28 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-1
  - New upstream version
Comment 12 Chitlesh GOORAH 2006-07-02 05:02:31 EDT
I'll ignore this W: kicad file-not-utf8
/usr/share/doc/kicad/en/pcbnew/doc_pcbnew.zip

But however, mock failed on i386
make[1]: *** [basepcbframe.o] Error 1
make[1]: Target `all' not remade because of errors.
make[1]: Leaving directory `/builddir/build/BUILD/kicad-dev/gerbview'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.20325 (%build)

and you need not to own the following directories
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}/

use %{name} instead of kicad as much as you can

in kde menu, kicad is found under Lost and Found, which should be corrected
Comment 13 Paul Howarth 2006-07-02 09:01:33 EDT
(In reply to comment #12)
> But however, mock failed on i386
> make[1]: *** [basepcbframe.o] Error 1
> make[1]: Target `all' not remade because of errors.
> make[1]: Leaving directory `/builddir/build/BUILD/kicad-dev/gerbview'
> make: *** [all] Error 2
> error: Bad exit status from /var/tmp/rpm-tmp.20325 (%build)

Is there nothing further up the log showing what the problem with basepcbframe.o
was?

> and you need not to own the following directories
> %dir %{_libdir}/%{name}
> %dir %{_datadir}/%{name}
> %dir %{_docdir}/%{name}/

The files list contains:

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_docdir}/%{name}/
%{_docdir}/%{name}/*

This could possibly be simplified to:

%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_docdir}/%{name}/

Some people prefer to own directories explicitly though. No harm in that.

The only issue I see what what's currently there is that directory
%{_libdir}/%{name}/plugins needs to be owned by this package.

> use %{name} instead of kicad as much as you can

That already seems to be the case, and again that's just a maintainer preference
and not something that *needs* to be changed.
Comment 14 Chitlesh GOORAH 2006-07-02 18:19:54 EDT
Created attachment 131864 [details]
build.log

output of 
chitlesh(SRPMS)[1]$mock -r fedora-5-i386-core.cfg kicad-2006.06.26-1.src.rpm
init
clean
prep
This may take a while
setup
build
Error building package from kicad-2006.06.26-1.fc5.src.rpm, See build log
ending
done
Comment 15 Chitlesh GOORAH 2006-07-02 18:21:13 EDT
(In reply to comment #13)
> Is there nothing further up the log showing what the problem with
basepcbframe.o was?

I don't see much, see attachment build.log

Comment 16 Ralf Corsepius 2006-07-02 22:47:49 EDT
(In reply to comment #15)
> (In reply to comment #13)
> > Is there nothing further up the log showing what the problem with
> basepcbframe.o was?
> 
> I don't see much, see attachment build.log

There you find this:
...
/usr/include/wx-2.6/wx/gtk/glcanvas.h:25:20: error: GL/glu.h: No such file or
directory
...

=> The package owning /usr/include/wx-2.6/wx/gtk/glcanvas.h (wx-devel?) 
probably lacks a depencency on the package providing GL/glu.h (libGLU-devel).
Comment 17 Alain Portal 2006-07-03 06:48:14 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.06.26-2.src.rpm

%changelog
* Mon Jul  3 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-2
  - BR mesa-libGLU-devel
Comment 18 Paul Howarth 2006-07-03 07:59:44 EDT
(In reply to comment #17)
> %changelog
> * Mon Jul  3 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-2
>   - BR mesa-libGLU-devel

A better workaround would be to BR: libGLU-devel so as not to require a specific
GL implementation.

The real fix is to get the dependency added to wxGTK-devel so that packages
using it don't have to add the dependency themselves. I have raised Bug #197501
to address this.
Comment 19 Alain Portal 2006-07-03 10:45:17 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > %changelog
> > * Mon Jul  3 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 
2006.06.26-2
> >   - BR mesa-libGLU-devel
> 
> A better workaround would be to BR: libGLU-devel so as not to require a 
specific
> GL implementation.
> 
> The real fix is to get the dependency added to wxGTK-devel so that packages
> using it don't have to add the dependency themselves. I have raised Bug 
#197501
> to address this.
> 

OK, thanks.
I let the Build Requires for the moment.
Comment 20 Alain Portal 2006-07-03 10:46:25 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.06.26-3.src.rpm

%changelog
* Mon Jul  3 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-3
  - s/mesa-libGLU-devel/libGLU-devel/
Comment 21 Chitlesh GOORAH 2006-07-07 14:29:29 EDT
Can you correct these ?
a spec file in a srpm w/o world-read perms can cause issues with mock

chitlesh(SPECS)[1]$rpmlint -i ../SRPMS/kicad-2006.06.26-3.src.rpm
W: kicad strange-permission kicad.spec 0600
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

W: kicad strange-permission kicad.desktop 0755
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

W: kicad mixed-use-of-spaces-and-tabs
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
Comment 22 Alain Portal 2006-07-11 04:35:09 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.06.26-4.src.rpm

%changelog
* Mon Jul 10 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-4
  - Remove BR libGLU-devel that is no more needed (bug #197501 is closed)
  - Fix files permissions.
Comment 23 Chitlesh GOORAH 2006-07-11 06:23:25 EDT
Line 187:
%{__rm} -rf
$RPM_BUILD_ROOT%{_datadir}/%{name}/modules/packages3d/#push_butt_shape1_blue.wings#

I think you forgot to remove or correct this line because before this line you
have installed lots of directories in it and then delete them completely.
Comment 24 Alain Portal 2006-07-11 07:29:14 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/kicad.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/kicad-2006.06.26-5.src.rpm

%changelog
* Mon Jul 10 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 2006.06.26-5
  - Removing backup files is no more needed.
Comment 25 Chitlesh GOORAH 2006-07-11 10:28:54 EDT
- MUST: rpmlint's output 
The package was signed, but with an unknown key.
See the rpm --import option for more information.

W: kicad mixed-use-of-spaces-and-tabs
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Which im ignoring, but next time can you rpmlint your package first before the
review ?

rpmlint -i package.src.rpm

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 26 Chitlesh GOORAH 2006-09-13 02:51:25 EDT
The kicad package does not work as it should be, so I'm reopening the bug.

* on
kicad
open project
/usr/share/kicad/demos/video/video.pro
I have 2 files opened: video.brd and video.sch under this project video.pro,
which is as it should be :)
However on clicking on the 2nd button (from the left to the right) I have a
messagebox saying 
"Library file </usr/share/kicad/modules/supports.mod> not found"
I clicked on OK
"Library file </usr/share/kicad/modules/connects.mod> not found"
I clicked on OK!
......
another 4 libraries missing.

$ls /usr/share/kicad/modules/
packages3d

Definitely this modules are missing. Check out the new upstream release whether
they have these or not.

* $ rpm -q kicad
kicad-2006.06.26-5.fc5

* Now on the third button,; "command file <pcbnew> not found".
$ whereis pcbnew
pcbnew:

Check these out and update to upstream new release.
Post the SPEC file and SRPM again here, i'll test them before committing to cvs.
Comment 27 Alain Portal 2006-09-13 05:09:35 EDT
Chitlesh,
As somebody stole my work computer at the end of july, I can't contribute to 
Fedora Extras for the moment.
I'll get probably a new computer next week and I need one week to rebuild my 
environment.
So, probably no new release before at least two week.
Comment 28 Kevin Fenzi 2006-09-13 11:37:54 EDT
> The kicad package does not work as it should be, so I'm reopening the bug.

Why? This is the review for adding the package to extras. It has passed review
and been added as far as I can tell... 
 
Now that its added it should have it's own bugzilla component to report bugs. 

Please close this bug again as NEXTRELEASE and file a new bug against kicad... 
Comment 29 Chitlesh GOORAH 2006-09-15 03:55:44 EDT
(In reply to comment #28)
> Now that its added it should have it's own bugzilla component to report bugs. 
> 
> Please close this bug again as NEXTRELEASE and file a new bug against kicad... 


True, I should file a new bug: (see 206602)
Closing this bug ...
Comment 30 Alain Portal 2007-07-05 03:34:04 EDT
Comaintening package request
Package: kicad
Comainteneur: Chitlesh GOORAH <cgoorah@yahoo.com.au>
Comment 31 Kevin Fenzi 2007-07-05 11:57:02 EDT
cvs done.
Comment 32 Alain Portal 2007-07-05 12:12:24 EDT
Thanks
Comment 33 Alain Portal 2007-07-20 14:39:33 EDT
Package Change Request
======================
Package Name: kicad
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 34 Jens Petersen 2007-07-24 10:44:07 EDT
added
Comment 35 Gwyn Ciesla 2008-11-13 08:11:58 EST
Package Change Request
======================
Package Name: kicad
New Branches: EL-5
Owners: limb chitlesh
Comment 36 Kevin Fenzi 2008-11-14 00:49:38 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.